FreeBSD : GnuPG and Libgcrypt -- side-channel attack vulnerability (689c2bf7-0701-11e3-9a25-002590860428)

Low Nessus Plugin ID 69396


The remote FreeBSD host is missing one or more security-related updates.


Werner Koch of the GNU project reports :

Noteworthy changes in version 1.5.3 :

Mitigate the Yarom/Falkner flush+reload side-channel attack on RSA secret keys...

Note that Libgcrypt is used by GnuPG 2.x and thus this release fixes the above problem. The fix for GnuPG less than 2.0 can be found in the just released GnuPG 1.4.14.


Update the affected packages.

See Also

Plugin Details

Severity: Low

ID: 69396

File Name: freebsd_pkg_689c2bf7070111e39a25002590860428.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2013/08/20

Modified: 2014/04/16

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libgcrypt, p-cpe:/a:freebsd:freebsd:linux-f10-libgcrypt, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2013/08/17

Vulnerability Publication Date: 2013/07/18

Reference Information

CVE: CVE-2013-4242